## nasty 0.6

=== Makefile ===
VERSION=0.6

DEBUG=-g # -pg
CFLAGS+=-Wall -O2 -DVERSION=\"${VERSION}\" $(DEBUG)
LDFLAGS=-lgpgme $(DEBUG)

OBJS=nasty.o

all: nasty

nasty: $(OBJS)
	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o nasty

install: nasty
	cp nasty /usr/bin

clean:
	rm -f $(OBJS) nasty core

package: clean
	mkdir nasty-$(VERSION)
	cp *.c Makefile readme.txt license.txt nasty-$(VERSION)
	tar czf nasty-$(VERSION).tgz nasty-$(VERSION)
	rm -rf nasty-$(VERSION)

=== debian/changelog ===
nasty (0.6-3) unstable; urgency=medium

  * Team upload.
  * Migrations:
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0 format.
      - DH level to 9.
  * debian/control:
      - Added the word 'forensics' to long description.
      - Bumped Standards-Version to 3.9.6.
      - Fixed a typo in long description.
      - Removed dpatch from Build-Depends field. Using quilt now.
      - Removed the leading article from short description.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Updated the copyright information for packaging.
      - Updated the GPL-2 license text.
      - Using 1.0 format in header.
  * debian/patches/:
      - Converted all patches (01 and 02) to quilt.
      - Renamed all patches from *.dpatch to *.patch.
      - 02_add_largefile_support.patch: added a change for LDFLAGS in upstream
        Makefile to support GCC hardening.
  * debian/README.source: remove because this file is no longer required.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 12 Jul 2015 17:58:14 -0300

nasty (0.6-2) unstable; urgency=low

  * Change VCS address.
  * Change maintainer to Debian Forensics
  * Add a new session in the manual page regarding the issue with gpg-agent.
    Thanks to Gavin Westwood. (Closes: #568231)
  * Update Policy version to 3.8.4

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Fri, 05 Mar 2010 01:33:20 -0300

nasty (0.6-1) unstable; urgency=low

  * Initial Release. (Closes: #547667)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 27 Sep 2009 18:52:18 -0300

=== debian/control ===
Source: nasty
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
Build-Depends: debhelper (>= 9), libgpgme11-dev
Standards-Version: 3.9.6
Homepage: http://www.vanheusden.com/nasty/
Vcs-Browser: https://anonscm.debian.org/cgit/forensics/nasty.git
Vcs-Git: git://anonscm.debian.org/forensics/nasty.git

Package: nasty
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libgpgme11
Description: tool which helps you to recover your GPG passphrase
 Nasty is a program that helps you to recover the passphrase of your PGP or
 GPG-key in case you forget or lost it. The following features will make things
 easier:
  - set minimum/maximum length of the passphrase
  - incremental mode, random mode or reads a file for guessing
  - charset filter
 .
 This package is useful in forensics investigations.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installman:
	dh_installman debian/nasty.1

=== debian/watch ===
version=3
http://www.vanheusden.com/nasty/nasty-(.+)\.tgz

## nasty 0.6+git20220929.9830b7a

=== CMakeLists.txt ===
project(nasty)
cmake_minimum_required(VERSION 3.2)
add_definitions("-Wall")

set(NASTY_VERSION 1.0)
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DVERSION=\"\\\"${NASTY_VERSION}\\\"\"")

add_executable(
  nasty
  nasty.c
)

include(FindPkgConfig)

pkg_check_modules(GPGME REQUIRED gpgme)
target_link_libraries(nasty ${GPGME_LIBRARIES})
target_include_directories(nasty PUBLIC ${GPGME_INCLUDE_DIRS})
target_compile_options(nasty PUBLIC ${GPGME_CFLAGS_OTHER})

=== debian/changelog ===
nasty (0.6+git20220929.9830b7a-3) unstable; urgency=medium

  * Team upload.
  * d/p/*: Add cmake4.patch fixing FTBFS with CMake 4 (Closes: #1113311).
  * d/watch: Convert watch file to version 5 format.
  * d/control:
    - Drop 'Rules-Requires-Root: no', it's the standard now.
    - Bump Standards-Version to 4.7.2.
  * d/copyright: Update copyright holders regarding Debian packaging.

 -- Sven Geuer <sge@debian.org>  Thu, 02 Oct 2025 18:46:51 +0200

nasty (0.6+git20220929.9830b7a-2) unstable; urgency=medium

  * Replace obsolete Build-Depends: pkg-config => pkgconf
  * Bump standards version to 4.7.0, no changes needed.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 22 Dec 2024 15:48:36 -0500

nasty (0.6+git20220929.9830b7a-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6+git20220929.9830b7a.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

  [ Carlos Henrique Lima Melara ]
  * debian/control:
      - Add 'Rules-Requires-Root: no' to source stanza.
      - Add new build dependencies.
      - Bump Standards-Version to 4.6.2 - no changes needed.
      - Remove hardcoded runtime dependency on shared lib.
      - Update Homepage field to github repo.
  * debian/copyright:
      - Add Upstream-Contact field.
      - Update Source field to github repo.
      - Update packaging copyright info.
      - Update upstream copyright license.
  * debian/install: install nasty binary.
  * debian/nasty.1: update manpage with new features.
  * debian/patches: drop patches.
  * debian/rules:
      - Add extra flags for compatibility with libgpgme on 32-bit systems.
      - Define a fixed build directory.
  * debian/usptream/metadata: add info.
  * debian/watch: update to version 4 and grab git HEAD.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Thu, 06 Jul 2023 00:14:16 -0300

nasty (0.6-4) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Switch to debhelper compat level 12
  * Bump Standards-Version to 4.4.1
  * Build depends on libgpgme-dev instead of libgpgme11-dev
  * Use secure URI in debian/watch

  [ Samuel Henrique ]
  * Add salsa-ci.yml

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 28 Nov 2019 19:01:25 +0100

=== debian/control ===
Source: nasty
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
Build-Depends: cmake, debhelper-compat (= 13), libgpgme-dev, pkgconf
Standards-Version: 4.7.2
Homepage: https://github.com/folkertvanheusden/nasty
Vcs-Browser: https://salsa.debian.org/pkg-security-team/nasty
Vcs-Git: https://salsa.debian.org/pkg-security-team/nasty.git

Package: nasty
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool which helps you to recover your GPG passphrase
 Nasty is a program that helps you to recover the passphrase of your PGP or
 GPG-key in case you forget or lost it. The following features will make things
 easier:
  - set minimum/maximum length of the passphrase
  - incremental mode, random mode or reads a file for guessing
  - charset filter
 .
 This package is useful in forensics investigations.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq "$(DEB_HOST_ARCH_BITS)" "32"
	export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1
endif

%:
	dh $@ --builddirectory=build

override_dh_installman:
	dh_installman debian/nasty.1

=== debian/watch ===
Version: 5
Mode: git
Git-Pretty: 0.6+git%cd.%h
Source: https://github.com/folkertvanheusden/nasty
Matching-Pattern: HEAD
# Use the following when upstream starts to set tags:
#Version: 5
#Template: Github
#Owner: folkertvanheusden
#Project: nasty
